---
title: BluetoothRemoteGATTServer.connected
slug: Web/API/BluetoothRemoteGATTServer/connected
tags:
  - API
  - Bluetooth
  - BluetoothRemoteGATTServer
  - Experimental
  - Property
  - Reference
  - Web Bluetooth API
---
<p>{{SeeCompatTable}}</p>

<p>The <strong><code>BluetoothRemoteGATTServer.connected</code></strong> read-only property returns a boolean value that returns true while this script execution environment is connected to <code>this.device</code>. It can be false while the user agent is physically connected.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>connected</em> = <em>BluetoothRemoteGATTServer</em>.connected</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Web Bluetooth", "#dom-bluetoothremotegattserver-connected", "connected")}}</td>
   <td>{{Spec2("Web Bluetooth")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BluetoothRemoteGATTServer.connected")}}</p>

<div>{{APIRef("Web Bluetooth")}}</div>
